org.optaplanner.core.impl.score.stream.bavet.uni

## Class BavetFromUniNode<A>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode
  - - org.optaplanner.core.impl.score.stream.bavet.uni.BavetAbstractUniNode<A>
    - - org.optaplanner.core.impl.score.stream.bavet.uni.BavetFromUniNode<A>

- All Implemented Interfaces:
    BavetNode

      public final class BavetFromUniNode<A>
      extends BavetAbstractUniNode<A>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode

      `nodeOrder, session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BavetFromUniNode(BavetConstraintSession session, int nodeOrder, Class<A> fromClass)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChildNode(BavetAbstractUniNode<A> childNode)`
    `BavetFromUniTuple<A>` | `createTuple(A a)`
    `BavetAbstractUniTuple<A>` | `createTuple(BavetAbstractUniTuple<A> parentTuple)`
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`
    `void` | `refresh(BavetFromUniTuple<A> tuple)`
    `String` | `toString()`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode

      `getNodeOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BavetFromUniNode

          public BavetFromUniNode(BavetConstraintSession session,
                                  int nodeOrder,
                                  Class<A> fromClass)

  - ### Method Detail

    - #### addChildNode

          public void addChildNode(BavetAbstractUniNode<A> childNode)

      Overrides:
        `addChildNode` in class `BavetAbstractUniNode<A>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### createTuple

          public BavetFromUniTuple<A> createTuple(A a)

    - #### createTuple

          public BavetAbstractUniTuple<A> createTuple(BavetAbstractUniTuple<A> parentTuple)

      Specified by:
        `createTuple` in class `BavetAbstractUniNode<A>`

    - #### refresh

          public void refresh(BavetFromUniTuple<A> tuple)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.